#
# Please do not update/rebuild/touch this package before asking first to luc, mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with Plasma 5
Version:        1.0.3
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            http://albertvaka.wordpress.com/
Source0:        http://download.kde.org/stable/kdeconnect/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros
BuildRequires:  cmake(KF5ConfigWidgets)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(KF5IconThemes)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KCMUtils)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Wayland)
BuildRequires:  qttools5
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  pkgconfig(qca2-qt5)

BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(x11)

Conflicts:      kdeconnect-kded < 0.4
Obsoletes:      kdeconnect-kded < 0.4

Recommends:     sshfs-fuse
Recommends:     %{name}-handbook

Requires:       qca-qt5
Requires:       kde-cli-tools

%description
KDE Connect adds communication between Plasma 5 and your smartphone or tablet.

%files  -f %{name}.lang
%doc README.md
%license COPYING
%{_kf5_sysconfdir}/xdg/autostart/kdeconnectd.desktop
%{_kf5_bindir}/kdeconnect-cli
%{_qt5_plugindir}/kdeconnect/
%{_qt5_plugindir}/*.so
%{_kf5_qmldir}/org/kde/kdeconnect/
%{_libexecdir}/kdeconnectd
%{_kf5_applicationsdir}/org.kde.kdeconnect.kcm.desktop
%{_kf5_applicationsdir}/org.kde.kdeconnect.nonplasma.desktop
%{_kf5_appdatadir}/org.kde.kdeconnect.kcm.appdata.xml
%{_kf5_knotificationsdir}/kdeconnect.notifyrc
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Battery.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/CompactRepresentation.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/DeviceDelegate.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FullRepresentation.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/Sftp.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/main.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/contents/ui/FindMyPhone.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.kdeconnect/metadata.desktop
%{_kf5_iconsdir}/hicolor/*/apps/kdeconnect.png
%{_kf5_iconsdir}/hicolor/*/status/*.png
%{_kf5_iconsdir}/hicolor/scalable/apps/kdeconnect.svgz
%{_kf5_iconsdir}/hicolor/scalable/status/*.svg
%{_kf5_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_kf5_services}/kcm_kdeconnect.desktop
%{_kf5_services}/kdeconnect.protocol
%{_kf5_services}/kdeconnect_pausemusic_config.desktop
%{_kf5_services}/kdeconnect_share_config.desktop
%{_kf5_services}/kdeconnect_runcommand_config.desktop
%{_kf5_services}/kdeconnect_sendnotifications_config.desktop
%{_kf5_services}/kdeconnectsendfile.desktop
%{_kf5_services}/plasma-kdeconnect.desktop
%{_kf5_servicetypes}/kdeconnect_plugin.desktop

#------------------------------------------------------------------------------

%package        handbook
Summary:        KDE Connect Handbook
Group:          Documentation
BuildArch:      noarch
Requires:       %{name} >= %{version}-%{release}

%description    handbook
This package provides KDE Connect handbook.

%files handbook
%{_kf5_docdir}/HTML/*/%{name}/

#------------------------------------------------------------------------------

%define kdeconnectcore_major 1
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}

%package -n     %{libkdeconnectcore}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectcore}
Runtime library for %{name}.

%files -n %{libkdeconnectcore}
%{_kf5_libdir}/libkdeconnectcore.so.%{kdeconnectcore_major}{,.*}

#------------------------------------------------------------------------------

%define kdeconnectinterfaces_major 1
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}

%package -n     %{libkdeconnectinterfaces}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectinterfaces}
Runtime library for %{name}.

%files -n %{libkdeconnectinterfaces}
%{_kf5_libdir}/libkdeconnectinterfaces.so.%{kdeconnectinterfaces_major}{,.*}

#------------------------------------------------------------------------------

%define kdeconnectpluginkcm_major 1
%define libkdeconnectpluginkcm %mklibname kdeconnectpluginkcm %{kdeconnectpluginkcm_major}

%package -n     %{libkdeconnectpluginkcm}
Summary:        Runtime library for %{name}
Group:          System/Libraries

%description -n %{libkdeconnectpluginkcm}
Runtime library for %{name}.

%files -n %{libkdeconnectpluginkcm}
%{_kf5_libdir}/libkdeconnectpluginkcm.so.%{kdeconnectpluginkcm_major}{,.*}

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export LD=%{_kf5_bindir}/ld.gold
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name} --all-name


%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 1.0.3-1.mga6
+ Revision: 1075890
- new version: 1.0.3

* Sat Nov 12 2016 daviddavid <daviddavid> 1.0.2-1.mga6
+ Revision: 1066634
- new version: 1.0.2

* Wed Sep 21 2016 daviddavid <daviddavid> 1.0.1-1.mga6
+ Revision: 1054860
- new version: 1.0.1

* Mon Aug 29 2016 daviddavid <daviddavid> 1.0-1.mga6
+ Revision: 1049392
- new version: 1.0 (stable)
- add kdeconnect-kde-handbook subpackage

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-3.mga6
+ Revision: 1043784
- Add kde-cli-tools  as requires too ( from david_david )

* Wed Jul 27 2016 neoclust <neoclust> 0.9g-2.mga6
+ Revision: 1043751
- Add missing deps on qca-qt5 ( mga #18929)

* Thu May 05 2016 daviddavid <daviddavid> 0.9g-1.mga6
+ Revision: 1009582
- new version: 0.9g
- port to Qt5/kf5

* Tue Feb 09 2016 umeabot <umeabot> 0.8-2.mga6
+ Revision: 952414
- Mageia 6 Mass Rebuild

* Sat Feb 21 2015 lmenut <lmenut> 0.8-1.mga5
+ Revision: 816286
- Update to 0.8

* Sat Oct 18 2014 lmenut <lmenut> 0.7.3-1.mga5
+ Revision: 787854
- Update to 0.7.3

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 740541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-2.mga5
+ Revision: 680991
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Jul 22 2014 lmenut <lmenut> 0.7.2-1.mga5
+ Revision: 655686
- Update to 0.7.2
  fix files list
- fix source, groups, summaries and descriptions

* Mon Nov 11 2013 lmenut <lmenut> 0.4.1-1.mga4
+ Revision: 550454
- Update to 0.4.1
- Update to 0.4
  fix files list
- Rename package to match upstream name

* Mon Oct 21 2013 umeabot <umeabot> 0.3-1.mga4
+ Revision: 539358
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 0.3-0.mga4
+ Revision: 491942
- Update tarball to 0.3
- Fix files list

* Sun Aug 25 2013 neoclust <neoclust> 0.0-0.20130825.1.mga4
+ Revision: 471612
- imported package kdeconnect-kded

